Package org.eclipse.mat.inspections

## Class FindLeaksQuery2.SuspectsResultTable

- java.lang.Object
- - org.eclipse.mat.inspections.FindLeaksQuery.SuspectsResultTable
  - - org.eclipse.mat.inspections.FindLeaksQuery2.SuspectsResultTable

All Implemented Interfaces:
  `IResult`, `IResultTable`, `IStructuredResult`

Enclosing class:
  FindLeaksQuery2

    public static class FindLeaksQuery2.SuspectsResultTable
    extends FindLeaksQuery.SuspectsResultTable

### Constructor Summary

Constructors
`SuspectsResultTable​(FindLeaksQuery.SuspectRecord[] data, long totalHeap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Column[]` `getColumns()` The columns of the tree or table.

### Methods inherited from class org.eclipse.mat.inspections.FindLeaksQuery.SuspectsResultTable

`getColumnValue, getContext, getData, getResultMetaData, getRow, getRowCount, getTotalHeap`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuspectsResultTable

    public SuspectsResultTable​(FindLeaksQuery.SuspectRecord[] data,
                               long totalHeap)

### Method Detail

#### getColumns

    public Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Overrides:
  `getColumns` in class `FindLeaksQuery.SuspectsResultTable`
Returns:
  an array of all the columns